=== modified file 'INSTALL'
--- INSTALL	2010-01-29 10:36:23 +0000
+++ INSTALL	2010-06-02 05:03:31 +0000
@@ -15,10 +15,10 @@
 
 bzr can optionally use compiled versions of some parts of the code
 for increased speed. When installing bzr you need the ability to
-build C extensions. Some Linux distributions package the necessary
+build C extensions. Some GNU/Linux distributions package the necessary
 headers separately from the main Python package. This package is
 probably named something like python-dev or python-devel. FreeBSD,
-Windows, source-based Linux distributions, and possibly other operating
+Windows, source-based GNU/Linux distributions, and possibly other operating
 systems, have the required files installed by default.
 
 If you are installing bzr from a bzr branch rather than a release tarball,

=== modified file 'NEWS'
--- NEWS	2010-06-01 14:09:27 +0000
+++ NEWS	2010-06-02 05:03:31 +0000
@@ -3950,8 +3950,8 @@
   can have a large effect on ``bzr checkout`` times. (John Arbash Meinel)
 
 * selftest now supports a --parallel option, with values of 'fork' or
-  'subprocess' to run the test suite in parallel. Currently only linux
-  machine work, other platforms need patches submitted. (Robert Collins,
+  'subprocess' to run the test suite in parallel. Currently only Linux
+  machines work, other platforms need patches submitted. (Robert Collins,
   Vincent Ladeuil)
 
 * ``tests.run_suite`` has a new parameter ``suite_decorators``, a list of 
@@ -6705,7 +6705,7 @@
 
 * bzr main script cannot be imported (Benjamin Peterson)
 
-* On Linux bzr additionally looks for plugins in arch-independent site
+* On GNU/Linux bzr additionally looks for plugins in arch-independent site
   directory. (Toshio Kuratomi)
 
 * The ``set_rh`` branch hook is now deprecated. Please migrate
@@ -7048,7 +7048,7 @@
 
 * BZR_LOG environment variable controls location of .bzr.log trace file.
   User can suppress writing messages to .bzr.log by using '/dev/null'
-  filename (on Linux) or 'NUL' (on Windows). If BZR_LOG variable
+  filename (on Unix) or 'NUL' (on Windows). If BZR_LOG variable
   is not defined but BZR_HOME is defined then default location
   for .bzr.log trace file is ``$BZR_HOME/.bzr.log``.
   (Alexander Belchenko, #106117)

=== modified file 'bzrlib/help_topics/en/configuration.txt'
--- bzrlib/help_topics/en/configuration.txt	2010-05-04 14:52:33 +0000
+++ bzrlib/help_topics/en/configuration.txt	2010-06-02 05:03:31 +0000
@@ -90,7 +90,7 @@
 
 As for the ``PATH`` variables, if multiple directories are
 specified in ``BZR_PLUGIN_PATH`` they should be separated by the
-platform specific appropriate character (':' on Unix/Linux/etc,
+platform specific appropriate character (':' on Unix,
 ';' on windows)
 
 By default if ``BZR_PLUGIN_PATH`` is set, it replaces searching
@@ -185,7 +185,7 @@
 Location
 ~~~~~~~~
 
-Configuration files are located in ``$HOME/.bazaar`` on Linux/Unix and
+Configuration files are located in ``$HOME/.bazaar`` on Unix and
 ``C:\Documents and Settings\<username>\Application Data\Bazaar\2.0`` on
 Windows. (You can check the location for your system by using
 ``bzr version``.)

=== modified file 'bzrlib/help_topics/en/content-filters.txt'
--- bzrlib/help_topics/en/content-filters.txt	2010-01-03 03:33:10 +0000
+++ bzrlib/help_topics/en/content-filters.txt	2010-06-02 05:03:31 +0000
@@ -8,7 +8,7 @@
 format from the copy in your working tree.  This lets you, or your
 co-developers, use Windows development tools that expect CRLF files
 on projects that use other line-ending conventions. Among other things,
-content filters also let Linux developers more easily work on projects
+content filters also let Unix developers more easily work on projects
 using Windows line-ending conventions, keyword expansion/compression,
 and trailing spaces on lines in text files to be implicitly stripped
 when committed.

=== modified file 'bzrlib/urlutils.py'
--- bzrlib/urlutils.py	2010-05-27 22:10:42 +0000
+++ bzrlib/urlutils.py	2010-06-02 05:03:31 +0000
@@ -278,7 +278,7 @@
     # on non-win32 platform
     # FIXME: It turns out that on nt, ntpath.abspath uses nt._getfullpathname
     #       which actually strips trailing space characters.
-    #       The worst part is that under linux ntpath.abspath has different
+    #       The worst part is that on linux ntpath.abspath has different
     #       semantics, since 'nt' is not an available module.
     if path == '/':
         return 'file:///'

=== modified file 'doc/developers/HACKING.txt'
--- doc/developers/HACKING.txt	2010-05-27 04:55:13 +0000
+++ doc/developers/HACKING.txt	2010-06-02 05:03:31 +0000
@@ -869,7 +869,7 @@
 energy by emailing the **bazaar-commits** list implicitly. To do this,
 install and configure the Email plugin. One way to do this is add these
 configuration settings to your central configuration file (e.g.
-``~/.bazaar/bazaar.conf`` on Linux)::
+``~/.bazaar/bazaar.conf``)::
 
   [DEFAULT]
   email = Joe Smith <joe.smith@internode.on.net>

=== modified file 'doc/developers/case-insensitive-file-systems.txt'
--- doc/developers/case-insensitive-file-systems.txt	2009-12-02 20:34:07 +0000
+++ doc/developers/case-insensitive-file-systems.txt	2010-06-02 05:03:31 +0000
@@ -9,13 +9,13 @@
 For example, the FAT32 file-system is most commonly found on Windows operating
 systems, and has the characteristics usually associated with a Windows
 file-system.  However, USB devices means FAT32 file-systems are often used
-with Linux, so the current operating system doesn't necessarily reflect the
+with GNU/Linux systems, so the current operating system doesn't necessarily reflect the
 capabilities of the file-system.
 
 Bazaar supports 3 kinds of file-systems, each to different degrees.
 
 * Case-sensitive file-systems: This is the file-system generally used on
-  Linux - 2 files can differ only by case, and the exact case must be used
+  GNU/Linux: 2 files can differ only by case, and the exact case must be used
   when opening a file.
 
 * Case-insensitive, case-preserving (cicp) file-systems: This is the

=== modified file 'doc/developers/planned-change-integration.txt'
--- doc/developers/planned-change-integration.txt	2009-12-02 20:34:07 +0000
+++ doc/developers/planned-change-integration.txt	2010-06-02 05:03:31 +0000
@@ -73,7 +73,7 @@
  * Working tree disk ordering: Knowing the expected order for disk operations
    may influence the needed use case specific APIs, so having a solid
    understanding of what is optimal - and why - and whether it is pessimal on
-   non linux platforms is rather important.
+   non-Linux-kernel platforms is rather important.
 
  * Be able to version files greater than memory in size: This cannot be
    achieved until all parts of the library which deal with user files are able

=== modified file 'doc/en/admin-guide/code-browsing.txt'
--- doc/en/admin-guide/code-browsing.txt	2009-12-11 00:00:04 +0000
+++ doc/en/admin-guide/code-browsing.txt	2010-06-02 05:03:31 +0000
@@ -47,8 +47,8 @@
    On Ubuntu, `sudo apt-get install python-flup`
    or use `easy_install flup`
 
-Although directions for installing these on Ubuntu Linux are given, most other
-Linux distributions should package these dependencies, making installation
+Although directions for installing these on Ubuntu are given, most other
+GNU/Linux distributions should package these dependencies, making installation
 easy.  For Windows and Mac OS X, they should all be ``easy_install``-able or at
 worst installable from the Python sources.
 
@@ -101,9 +101,9 @@
 This would allow the trunk branch of ProjectX to be browsed at
 ``http://www.example.com/loggerhead/projectx/trunk``.
 
-Loggerhead comes with a script allowing it to run as a service on init.d based
-Linux systems.  Contributions to do a similar thing on Windows servers would
-be welcomed at http://launchpad.net/loggerhead.
+Loggerhead comes with a script allowing it to run as a service on
+``init.d`` based Unix systems.  Contributions to do a similar thing on
+Windows servers would be welcomed at http://launchpad.net/loggerhead.
   
 
 Other web interfaces

=== modified file 'doc/en/admin-guide/introduction.txt'
--- doc/en/admin-guide/introduction.txt	2009-12-07 21:51:01 +0000
+++ doc/en/admin-guide/introduction.txt	2010-06-02 05:03:31 +0000
@@ -27,7 +27,7 @@
 What you need to run a Bazaar server
 ------------------------------------
 
-Where possible, we will discuss both Unix (including Linux) and Windows server
+Where possible, we will discuss both Unix (including GNU/Linux) and Windows server
 environments.  For the purposes of this document, we will consider Mac OS X as
 a type of Unix.
 
@@ -44,7 +44,7 @@
 critical components of the code.  Pure Python alternatives exist for all of
 these components, but they may be considerably slower.  To compile these
 extensions, you need a C compiler and the relevant header files from the
-Python package.  On Linux, these may be in a separate package.  Other
+Python package.  On GNU/Linux, these may be in a separate package.  Other
 operating systems should have the required headers installed by default.
 
 If you are installing a development version of Bazaar, rather than a released

=== modified file 'doc/en/admin-guide/upgrade.txt'
--- doc/en/admin-guide/upgrade.txt	2009-12-18 10:09:49 +0000
+++ doc/en/admin-guide/upgrade.txt	2010-06-02 05:03:31 +0000
@@ -28,7 +28,7 @@
 
 Upgrading the Bazaar software is as simple as re-installing the Python package
 using either the latest binary package for Windows or Mac OS X, the binary
-package provided by your Linux distribution, or installing from the source
+package provided by your GNU/Linux distribution, or installing from the source
 release.  See http://bazaar-vcs.org/Downloads for the latest releases for all
 supported platforms.
 

=== modified file 'doc/en/upgrade-guide/overview.txt'
--- doc/en/upgrade-guide/overview.txt	2009-07-13 06:58:49 +0000
+++ doc/en/upgrade-guide/overview.txt	2010-06-02 05:03:31 +0000
@@ -36,7 +36,7 @@
 to Bazaar 1.y. In either case, a brief outline of the steps is given
 below.
 
-To upgrade Bazaar on Linux:
+To upgrade Bazaar on Ubuntu:
 
 1. Ensure your package manager is configured with the required
    software sources, e.g. the official release PPA for Ubuntu:
@@ -72,10 +72,10 @@
 bzr-svn, are more tightly associated with Bazaar's APIs so these
 typically need to be upgraded in lockstep with the core software.
 
-For Windows and OS X users, bzrtools and bzr-svn are typically
-included in the installer so no special steps are required to upgrade
-these. For Linux and UNIX users, bztrools, bzr-svn and many other
-popular plugins can be installed and upgraded using your
+For Windows and OS X users, bzrtools and bzr-svn are typically included in
+the installer so no special steps are required to upgrade these. For
+Ubuntu and other GNU/Linux or Unix systems users, bztrools, bzr-svn and
+many other popular plugins can be installed and upgraded using your
 platform's package manager, e.g. Synaptic on Ubuntu.
 
 

=== modified file 'doc/en/user-guide/branching_a_project.txt'
--- doc/en/user-guide/branching_a_project.txt	2010-03-22 00:29:50 +0000
+++ doc/en/user-guide/branching_a_project.txt	2010-06-02 05:03:31 +0000
@@ -8,7 +8,7 @@
 agree on a transfer technology.
 You may decide to make the top level directory of your branch
 a network share, an approach familiar to Windows users.
-Linux and OS X users might prefer access to be
+Unix users might prefer access to be
 via SFTP, a secure protocol built-in to most SSH servers.
 Bazaar is *very* flexible in this regard with support for
 lots of protocols some of which are given below.

=== modified file 'doc/en/user-guide/configuring_bazaar.txt'
--- doc/en/user-guide/configuring_bazaar.txt	2009-12-02 20:34:07 +0000
+++ doc/en/user-guide/configuring_bazaar.txt	2010-06-02 05:03:31 +0000
@@ -19,7 +19,7 @@
 Configuration files
 -------------------
 
-Configuration files are located in ``$HOME/.bazaar`` on Linux/Unix and
+Configuration files are located in ``$HOME/.bazaar`` on Unix and
 ``C:\Documents and Settings\<username>\Application Data\Bazaar\2.0`` on
 Windows. There are three primary configuration files in this location:
 

=== modified file 'doc/en/user-guide/installing_bazaar.txt'
--- doc/en/user-guide/installing_bazaar.txt	2009-09-09 15:08:17 +0000
+++ doc/en/user-guide/installing_bazaar.txt	2010-06-02 05:03:31 +0000
@@ -1,11 +1,11 @@
 Installing Bazaar
 =================
 
-Linux
------
+GNU/Linux
+---------
 
-Bazaar packages are available for most popular Linux distributions
-including Ubuntu/Debian, Red Hat and Gentoo.
+Bazaar packages are available for most popular GNU/Linux distributions
+including Ubuntu, Debian, Red Hat and Gentoo.
 See http://bazaar-vcs.org/Download for the latest instructions.
 
 Windows

=== modified file 'doc/en/user-guide/plugins.txt'
--- doc/en/user-guide/plugins.txt	2009-12-02 20:34:07 +0000
+++ doc/en/user-guide/plugins.txt	2010-06-02 05:03:31 +0000
@@ -35,13 +35,13 @@
 
 Installing a plugin is very easy! If not already created, create a
 ``plugins`` directory under your Bazaar configuration directory,
-``~/.bazaar/`` on Linux and
+``~/.bazaar/`` on Unix and
 ``C:\Documents and Settings\<username>\Application Data\Bazaar\2.0\``
 on Windows. Within this directory (referred to as $BZR_HOME below),
 each plugin is placed in its own subdirectory.
 
 Plugins work particularly well with Bazaar branches. For example, to
-install the bzrtools plugins for your main user account on Linux,
+install the bzrtools plugins for your main user account on GNU/Linux,
 one can perform the following::
 
     bzr branch http://panoramicfeedback.com/opensource/bzr/bzrtools

=== modified file 'doc/en/user-guide/setting_up_email.txt'
--- doc/en/user-guide/setting_up_email.txt	2009-12-02 20:34:07 +0000
+++ doc/en/user-guide/setting_up_email.txt	2010-06-02 05:03:31 +0000
@@ -62,7 +62,7 @@
 --------------------------------------------
 
 To use the default ini file, create or edit the ``bazaar.conf`` file (in
-``~/.bazaar/`` on Linux and in ``%APPDATA%\bazaar\2.0\`` in Windows)
+``~/.bazaar/`` on Unix and in ``%APPDATA%\bazaar\2.0\`` in Windows)
 and set an email address as shown below.  Please note that the word DEFAULT
 is case sensitive, and must be in upper-case.
 ::

=== modified file 'doc/en/user-guide/version_info.txt'
--- doc/en/user-guide/version_info.txt	2009-12-02 20:34:07 +0000
+++ doc/en/user-guide/version_info.txt	2010-06-02 05:03:31 +0000
@@ -25,7 +25,7 @@
   branch-nick: bzr.dev
 
 You can easily filter that output using operating system tools or
-scripts. For example (on Linux/Unix)::
+scripts. For example::
 
   $ bzr version-info | grep ^date
   date: 2007-12-11 17:51:18 +0000

